import request from '@/utils/request'

// 查询人员操作记录列表
export function listRecord(query) {
  return request({
    url: '/plant/record/list',
    method: 'get',
    params: query
  })
}

// 查询人员操作记录详细
export function getRecord(recordId) {
  return request({
    url: '/plant/record/' + recordId,
    method: 'get'
  })
}

// 新增人员操作记录
export function addRecord(data) {
  return request({
    url: '/plant/record',
    method: 'post',
    data: data
  })
}

// 修改人员操作记录
export function updateRecord(data) {
  return request({
    url: '/plant/record',
    method: 'put',
    data: data
  })
}

// 删除人员操作记录
export function delRecord(recordId) {
  return request({
    url: '/plant/record/' + recordId,
    method: 'delete'
  })
}
